# Inland Waterways: GLEC

💡 **High-Level Description:**

The Global Logistics Emissions Council (GLEC) has established itself as a pivotal entity in shaping the approach towards calculating and reducing carbon footprints within logistics operations, including the Inland Waterways sector. GLEC's framework, recognized globally, is comprehensive and adaptable, catering to the varied aspects of logistics, from road freight to aviation and, indeed, to inland waterways.

For Inland Waterways, the GLEC methodology places a keen focus on vessel operational specifics, such as engine types, fuel consumption, and loading efficiencies. Moreover, GLEC's approach incorporates emissions not only from the actual vessel operation but also from the broader logistics chain, including cargo handling and transportation to and from port facilities. This holistic perspective ensures that all carbon sources linked to inland waterway transport are captured, laying a foundation for informed decision-making and emission reduction strategies.

## **Sample API Requests**

### A. Without audit mode (for pre-booking/quotes)

```json
{
  "expand": ["items"],
  "items": [
    {
      "audit": false,
      "type": "inland_waterways",
      "external_reference": "test_1",
      "origin": "DEBER",
      "destination": "DEFRA",
      "weight_in_tonnes": 20,
      "vessel_type": "pushed_convoy_push_boat_2_barges",
      "energy_scope": "ttw",
      "methodology": "GLEC"
    }
  ]
}
```

### B. With audit mode (for finalized/post-booking calculations)

```json
{
  "expand": ["items"],
  "audit_for": "<Auditable Entity ID>",
  "items": [
    {
      "audit": true,
      "type": "inland_waterways",
      "external_reference": "test_1",
      "origin": "DEBER",
      "destination": "DEFRA",
      "weight_in_tonnes": 20,
      "vessel_type": "pushed_convoy_push_boat_2_barges",
      "energy_scope": "ttw",
      "methodology": "GLEC"
    }
  ]
}
```

> **Note:** `audit_for` is optional. Provide when calculating on behalf of a specific Auditable entity; otherwise omit.

## **API Request Items**

* `"type"`: `"air_freight"` (required)
* `"methodology"`: `"GLEC"` (required)
* `"external_reference"`: A unique identifier that helps you link the resulting emissions to the requested item. Especially useful if multiple items are requested since SQUAKE cannot guarantee to keep the same order. The maximum length is 128 characters.
* `"origin"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"destination"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"distance_in_km"`: Prioritized over `origin` and `destination`. If you don't have a `distance_in_km`, you can use `origin` and `destination` and the distance will be automatically resolved. If you pass both `distance_in_km` and `origin`/`destination`, then `distance_in_km` will be used.
* `"weight_in_tonnes"`: Numeric value.
* `"vessel_type"`: Values are `container_vessel_110_m`, `container_vessel_135_m`, `container_vessel_coupled_convoys`, `coupled_convoys`, `motor_vessels_under_50_m`, `motor_vessels_under_80_m`, `motor_vessel_under_110_m`, `motor_vessel_135_m`, `pushed_convoy_push_boat_2_barges`, `pushed_convoy_push_boat_4_5_barges`, `pushed_convoy_push_boat_6_barges`, or `tanker_vessel`. Default value is `motor_vessels_under_50_m`.
* `"energy_scope"`: Values are `ttw` or `wtw`. Default value is `wtw`.
* `"audit"`: boolean (optional). Set to `true` to create immutable audit records for finalized calculations. Must be enabled for your account.

#### **Default values**

* `“vessel_type”: "motor_vessels_under_1000_t"`
* `"energy_scope": "wtw"`

### **Sample API Response**

```json
{
    "carbon_quantity": 143256,
    "carbon_unit": "gram",
    "items": [
        {
            "carbon_quantity": 143256,
            "carbon_unit": "gram",
            "external_reference": "test_1",
            "type": "inland_waterways",
            "methodology": "GLEC",
            "distance": 508.0,
            "distance_unit": "kilometer",
            "algorithm_specifics": {
                "algorithm_type": "glec",
                "data": {
                    "co2e_in_g": 143256,
                    "co2e_emissions_wtw_in_g": 185928,
                    "co2e_per_tonne_km_in_g": 14,
                    "tonne_km": 10160,
                    "reporting_year": 2024,
                    "transportation_mode": "inland_waterways_transportation"
                }
            }
        }
    ]
}
```

Smart Freight Center helped us fine tune our calculations of all freight and logistics related operations in accordance with the GLEC framework.

## **Bibliography**

* Smart Freight Center (2024). Global Logistics Emissions Council Framework V3.1.
* Towards efficient and zero emissions (n.d.). Smart Freight Centre. Retrieved from <https://www.smartfreightcentre.org/en/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-integration.squake.earth/api-calculations-request-response/logistics/inland-waterways/inland-waterways-glec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
